=== debian/changelog ===
ros-indigo-ml-classifiers (0.3.1-2trusty) trusty; urgency=high

  * Fix build for indigo
  * Merge pull request #2 <https://github.com/sniekum/ml_classifiers/issues/2> from davetcoleman/rospack_dep
    Missing dep on rosdep
  * Missing dep on rosdep
  * updated version number
  * Merge pull request #1 <https://github.com/sniekum/ml_classifiers/issues/1> from k-okada/hydro
    upgrade to hydro
  * upgrade to hydro
  * added rosdep eigen
  * removed eigen rosdep
  * updated version
  * fixed rosdep
  * Switched linear kernel to RBF
  * Moved to github
  * Contributors: Dave Coleman, Hunter Laux, Kei Okada, Scott Niekum, sniekum

 -- Scott Niekum <sniekum@cs.umass.edu>  Mon, 15 Sep 2014 07:00:00 -0000
